Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::PhrasePositions Class Reference

Position of a term in a document that takes into account the term offset within the phrase. More...

`#include <PhrasePositions.h>`

Inheritance diagram for Lucene::PhrasePositions:

## Public Member Functions

| PhrasePositions (const TermPositionsPtr &t, int32_t o)
virtual | ~PhrasePositions ()
virtual String | getClassName ()
boost::shared_ptr< PhrasePositions > | shared_from_this ()
bool | next ()
bool | skipTo (int32_t target)
void | firstPosition ()
bool | nextPosition ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | doc
int32_t | position
int32_t | count
int32_t | offset
TermPositionsPtr | tp
PhrasePositions * | __next = nullptr
bool | repeats

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Position of a term in a document that takes into account the term offset within the phrase.

## Constructor & Destructor Documentation

## ◆ PhrasePositions()

Lucene::PhrasePositions::PhrasePositions | ( | const TermPositionsPtr & | t,
|  | int32_t | o )

Referenced by _getClassName().

## ◆ ~PhrasePositions()

virtual Lucene::PhrasePositions::~PhrasePositions | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::PhrasePositions::_getClassName | ( |  | ) |

inline static

References PhrasePositions().

## ◆ firstPosition()

void Lucene::PhrasePositions::firstPosition | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::PhrasePositions::getClassName | ( |  | ) |

inline virtual

## ◆ next()

bool Lucene::PhrasePositions::next | ( |  | ) |

## ◆ nextPosition()

bool Lucene::PhrasePositions::nextPosition | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< PhrasePositions > Lucene::PhrasePositions::shared_from_this | ( |  | ) |

inline

## ◆ skipTo()

bool Lucene::PhrasePositions::skipTo | ( | int32_t | target | ) |

## Field Documentation

## ◆ __next

PhrasePositions* Lucene::PhrasePositions::__next = nullptr

## ◆ count

int32_t Lucene::PhrasePositions::count

## ◆ doc

int32_t Lucene::PhrasePositions::doc

## ◆ offset

int32_t Lucene::PhrasePositions::offset

## ◆ position

int32_t Lucene::PhrasePositions::position

## ◆ repeats

bool Lucene::PhrasePositions::repeats

## ◆ tp

TermPositionsPtr Lucene::PhrasePositions::tp

The documentation for this class was generated from the following file:

- PhrasePositions.h

clucene.sourceforge.net